diff -ru openssh-3.5p1.orig/ssh.0 openssh-3.5p1/ssh.0
--- openssh-3.5p1.orig/ssh.0	2002-10-04 11:31:45.000000000 +1000
+++ openssh-3.5p1/ssh.0	2003-03-12 21:15:24.000000000 +1100
@@ -339,76 +339,76 @@
              through the forwarded connection.  An attacker may then be able
              to perform activities such as keystroke monitoring.
 
-     -C      Requests compression of all data (including stdin, stdout,
+     ^[[1m-C      ^[[22mRequests compression of all data (including stdin, stdout,
              stderr, and data for forwarded X11 and TCP/IP connections).  The
              compression algorithm is the same used by gzip(1), and the
-             ``level'' can be controlled by the CompressionLevel option for
+             ``level'' can be controlled by the ^[[1mCompressionLevel ^[[22moption for
              protocol version 1.  Compression is desirable on modem lines and
              other slow connections, but will only slow down things on fast
              networks.  The default value can be set on a host-by-host basis
-             in the configuration files; see the Compression option.
+             in the configuration files; see the ^[[1mCompression ^[[22moption.
 
-     -F configfile
-             Specifies an alternative per-user configuration file.  If a conM--
+     ^[[1m-F ^[[4m^[[22mconfigfile^[[0m
+             Specifies an alternative per-user configuration file.  If a con-
              figuration file is given on the command line, the system-wide
-             configuration file (/etc/ssh/ssh_config) will be ignored.  The
-             default for the per-user configuration file is $HOME/.ssh/config.
+             configuration file (^[[4m/etc/ssh/ssh_config^[[24m) will be ignored.  The
+             default for the per-user configuration file is ^[[4m$HOME/.ssh/config^[[24m.
 
-     -L port:host:hostport
+     ^[[1m-L ^[[4m^[[22mport:host:hostport^[[0m
              Specifies that the given port on the local (client) host is to be
              forwarded to the given host and port on the remote side.  This
-             works by allocating a socket to listen to port on the local side,
+             works by allocating a socket to listen to ^[[4mport^[[24m on the local side,
              and whenever a connection is made to this port, the connection is
              forwarded over the secure channel, and a connection is made to
-             host port hostport from the remote machine.  Port forwardings can
-             also be specified in the configuration file.  Only root can forM--
+             ^[[4mhost^[[24m port ^[[4mhostport^[[24m from the remote machine.  Port forwardings can
+             also be specified in the configuration file.  Only root can for-
              ward privileged ports.  IPv6 addresses can be specified with an
-             alternative syntax: port/host/hostport
+             alternative syntax: ^[[4mport/host/hostport^[[0m
 
-     -R port:host:hostport
+     ^[[1m-R ^[[4m^[[22mport:host:hostport^[[0m
              Specifies that the given port on the remote (server) host is to
              be forwarded to the given host and port on the local side.  This
-             works by allocating a socket to listen to port on the remote
-             side, and whenever a connection is made to this port, the connecM--
+             works by allocating a socket to listen to ^[[4mport^[[24m on the remote
+             side, and whenever a connection is made to this port, the connec-
              tion is forwarded over the secure channel, and a connection is
-             made to host port hostport from the local machine.  Port forwardM--
+             made to ^[[4mhost^[[24m port ^[[4mhostport^[[24m from the local machine.  Port forward-
              ings can also be specified in the configuration file.  Privileged
              ports can be forwarded only when logging in as root on the remote
              machine.  IPv6 addresses can be specified with an alternative
-             syntax: port/host/hostport
+             syntax: ^[[4mport/host/hostport^[[0m
 
-     -D port
+     ^[[1m-D ^[[4m^[[22mport^[[0m
              Specifies a local ``dynamic'' application-level port forwarding.
-             This works by allocating a socket to listen to port on the local
-             side, and whenever a connection is made to this port, the connecM--
+             This works by allocating a socket to listen to ^[[4mport^[[24m on the local
+             side, and whenever a connection is made to this port, the connec-
              tion is forwarded over the secure channel, and the application
              protocol is then used to determine where to connect to from the
              remote machine.  Currently the SOCKS4 protocol is supported, and
-             ssh will act as a SOCKS4 server.  Only root can forward priviM--
+             ^[[1mssh ^[[22mwill act as a SOCKS4 server.  Only root can forward privi-
              leged ports.  Dynamic port forwardings can also be specified in
              the configuration file.
 
-     -1      Forces ssh to try protocol version 1 only.
+     ^[[1m-1      ^[[22mForces ^[[1mssh ^[[22mto try protocol version 1 only.
 
-     -2      Forces ssh to try protocol version 2 only.
+     ^[[1m-2      ^[[22mForces ^[[1mssh ^[[22mto try protocol version 2 only.
 
-     -4      Forces ssh to use IPv4 addresses only.
+     ^[[1m-4      ^[[22mForces ^[[1mssh ^[[22mto use IPv4 addresses only.
 
-     -6      Forces ssh to use IPv6 addresses only.
+     ^[[1m-6      ^[[22mForces ^[[1mssh ^[[22mto use IPv6 addresses only.
 
-CONFIGURATION FILES
-     ssh may additionally obtain configuration data from a per-user configuraM--
-     tion file and a system-wide configuration file.  The file format and conM--
+^[[1mCONFIGURATION FILES^[[0m
+     ^[[1mssh ^[[22mmay additionally obtain configuration data from a per-user configura-
+     tion file and a system-wide configuration file.  The file format and con-
      figuration options are described in ssh_config(5).
 
-ENVIRONMENT
-     ssh will normally set the following environment variables:
+^[[1mENVIRONMENT^[[0m
+     ^[[1mssh ^[[22mwill normally set the following environment variables:
 
      DISPLAY
              The DISPLAY variable indicates the location of the X11 server.
-             It is automatically set by ssh to point to a value of the form
+             It is automatically set by ^[[1mssh ^[[22mto point to a value of the form
              ``hostname:n'' where hostname indicates the host where the shell
-             runs, and n is an integer >= 1.  ssh uses this special value to
+             runs, and n is an integer >= 1.  ^[[1mssh ^[[22muses this special value to
              forward X11 connections over the secure channel.  The user should
              normally not set DISPLAY explicitly, as that will render the X11
              connection insecure (and will require the user to manually copy
@@ -422,17 +422,17 @@
 
      MAIL    Set to the path of the user's mailbox.
 
-     PATH    Set to the default PATH, as specified when compiling ssh.
+     PATH    Set to the default PATH, as specified when compiling ^[[1mssh^[[22m.
 
      SSH_ASKPASS
-             If ssh needs a passphrase, it will read the passphrase from the
-             current terminal if it was run from a terminal.  If ssh does not
+             If ^[[1mssh ^[[22mneeds a passphrase, it will read the passphrase from the
+             current terminal if it was run from a terminal.  If ^[[1mssh ^[[22mdoes not
              have a terminal associated with it but DISPLAY and SSH_ASKPASS
              are set, it will execute the program specified by SSH_ASKPASS and
              open an X11 window to read the passphrase.  This is particularly
-             useful when calling ssh from a .Xsession or related script.
+             useful when calling ^[[1mssh ^[[22mfrom a ^[[4m.Xsession^[[24m or related script.
              (Note that on some machines it may be necessary to redirect the
-             input from /dev/null to make this work.)
+             input from ^[[4m/dev/null^[[24m to make this work.)
 
      SSH_AUTH_SOCK
              Identifies the path of a unix-domain socket used to communicate
@@ -444,12 +444,12 @@
              client port number, server ip-address and server port number.
 
      SSH_ORIGINAL_COMMAND
-             The variable contains the original command line if a forced comM--
-             mand is executed.  It can be used to extract the original arguM--
+             The variable contains the original command line if a forced com-
+             mand is executed.  It can be used to extract the original argu-
              ments.
 
      SSH_TTY
-             This is set to the name of the tty (path to the device) associM--
+             This is set to the name of the tty (path to the device) associ-
              ated with the current shell or command.  If the current session
              has no tty, this variable is not set.
 
@@ -459,22 +459,22 @@
 
      USER    Set to the name of the user logging in.
 
-     Additionally, ssh reads $HOME/.ssh/environment, and adds lines of the
+     Additionally, ^[[1mssh ^[[22mreads ^[[4m$HOME/.ssh/environment^[[24m, and adds lines of the
      format ``VARNAME=value'' to the environment if the file exists and if
      users are allowed to change their environment.  See the
-     PermitUserEnvironment option in sshd_config(5).
+     ^[[1mPermitUserEnvironment ^[[22moption in sshd_config(5).
 
-FILES
+^[[1mFILES^[[0m
      $HOME/.ssh/known_hosts
              Records host keys for all hosts the user has logged into that are
-             not in /etc/ssh/ssh_known_hosts.  See sshd(8).
+             not in ^[[4m/etc/ssh/ssh_known_hosts^[[24m.  See sshd(8).
 
      $HOME/.ssh/identity, $HOME/.ssh/id_dsa, $HOME/.ssh/id_rsa
              Contains the authentication identity of the user.  They are for
              protocol 1 RSA, protocol 2 DSA, and protocol 2 RSA, respectively.
              These files contain sensitive data and should be readable by the
              user but not accessible by others (read/write/execute).  Note
-             that ssh ignores a private key file if it is accessible by othM--
+             that ^[[1mssh ^[[22mignores a private key file if it is accessible by oth-
              ers.  It is possible to specify a passphrase when generating the
              key; the passphrase will be used to encrypt the sensitive part of
              this file using 3DES.
@@ -482,15 +482,15 @@
      $HOME/.ssh/identity.pub, $HOME/.ssh/id_dsa.pub, $HOME/.ssh/id_rsa.pub
              Contains the public key for authentication (public part of the
              identity file in human-readable form).  The contents of the
-             $HOME/.ssh/identity.pub file should be added to
-             $HOME/.ssh/authorized_keys on all machines where the user wishes
-             to log in using protocol version 1 RSA authentication.  The conM--
-             tents of the $HOME/.ssh/id_dsa.pub and $HOME/.ssh/id_rsa.pub file
-             should be added to $HOME/.ssh/authorized_keys on all machines
+             ^[[4m$HOME/.ssh/identity.pub^[[24m file should be added to
+             ^[[4m$HOME/.ssh/authorized_keys^[[24m on all machines where the user wishes
+             to log in using protocol version 1 RSA authentication.  The con-
+             tents of the ^[[4m$HOME/.ssh/id_dsa.pub^[[24m and ^[[4m$HOME/.ssh/id_rsa.pub^[[24m file
+             should be added to ^[[4m$HOME/.ssh/authorized_keys^[[24m on all machines
              where the user wishes to log in using protocol version 2 DSA/RSA
              authentication.  These files are not sensitive and can (but need
-             not) be readable by anyone.  These files are never used automatiM--
-             cally and are not necessary; they are only provided for the conM--
+             not) be readable by anyone.  These files are never used automati-
+             cally and are not necessary; they are only provided for the con-
              venience of the user.
 
      $HOME/.ssh/config
@@ -510,15 +510,15 @@
              by the system administrator to contain the public host keys of
              all machines in the organization.  This file should be world-
              readable.  This file contains public keys, one per line, in the
-             following format (fields separated by spaces): system name, pubM--
+             following format (fields separated by spaces): system name, pub-
              lic key and optional comment field.  When different names are
-             used for the same machine, all such names should be listed, sepaM--
+             used for the same machine, all such names should be listed, sepa-
              rated by commas.  The format is described on the sshd(8) manual
              page.
 
              The canonical system name (as returned by name servers) is used
              by sshd(8) to verify the client host when logging in; other names
-             are needed because ssh does not convert the user-supplied name to
+             are needed because ^[[1mssh ^[[22mdoes not convert the user-supplied name to
              a canonical name before checking the key, because someone with
              access to the name servers would then be able to fool host
              authentication.
@@ -530,22 +530,22 @@
      /etc/ssh/ssh_host_key, /etc/ssh/ssh_host_dsa_key,
              /etc/ssh/ssh_host_rsa_key
              These three files contain the private parts of the host keys and
-             are used for RhostsRSAAuthentication and HostbasedAuthentication.
-             If the protocol version 1 RhostsRSAAuthentication method is used,
-             ssh must be setuid root, since the host key is readable only by
-             root.  For protocol version 2, ssh uses ssh-keysign(8) to access
-             the host keys for HostbasedAuthentication.  This eliminates the
-             requirement that ssh be setuid root when that authentication
-             method is used.  By default ssh is not setuid root.
+             are used for ^[[1mRhostsRSAAuthentication ^[[22mand ^[[1mHostbasedAuthentication^[[22m.
+             If the protocol version 1 ^[[1mRhostsRSAAuthentication ^[[22mmethod is used,
+             ^[[1mssh ^[[22mmust be setuid root, since the host key is readable only by
+             root.  For protocol version 2, ^[[1mssh ^[[22muses ssh-keysign(8) to access
+             the host keys for ^[[1mHostbasedAuthentication^[[22m.  This eliminates the
+             requirement that ^[[1mssh ^[[22mbe setuid root when that authentication
+             method is used.  By default ^[[1mssh ^[[22mis not setuid root.
 
      $HOME/.rhosts
-             This file is used in .rhosts authentication to list the host/user
+             This file is used in ^[[4m.rhosts^[[24m authentication to list the host/user
              pairs that are permitted to log in.  (Note that this file is also
              used by rlogin and rsh, which makes using this file insecure.)
              Each line of the file contains a host name (in the canonical form
              returned by name servers), and then a user name on that host,
              separated by a space.  On some machines this file may need to be
-             world-readable if the user's home directory is on a NFS partiM--
+             world-readable if the user's home directory is on a NFS parti-
              tion, because sshd(8) reads it as root.  Additionally, this file
              must be owned by the user, and must not have write permissions
              for anyone else.  The recommended permission for most machines is
@@ -554,18 +554,18 @@
              Note that by default sshd(8) will be installed so that it
              requires successful RSA host authentication before permitting
              .rhosts authentication.  If the server machine does not have the
-             client's host key in /etc/ssh/ssh_known_hosts, it can be stored
-             in $HOME/.ssh/known_hosts.  The easiest way to do this is to conM--
+             client's host key in ^[[4m/etc/ssh/ssh_known_hosts^[[24m, it can be stored
+             in ^[[4m$HOME/.ssh/known_hosts^[[24m.  The easiest way to do this is to con-
              nect back to the client from the server machine using ssh; this
-             will automatically add the host key to $HOME/.ssh/known_hosts.
+             will automatically add the host key to ^[[4m$HOME/.ssh/known_hosts^[[24m.
 
      $HOME/.shosts
-             This file is used exactly the same way as .rhosts.  The purpose
+             This file is used exactly the same way as ^[[4m.rhosts^[[24m.  The purpose
              for having this file is to be able to use rhosts authentication
-             with ssh without permitting login with rlogin or rsh(1).
+             with ^[[1mssh ^[[22mwithout permitting login with ^[[1mrlogin ^[[22mor rsh(1).
 
      /etc/hosts.equiv
-             This file is used during .rhosts authentication. It contains
+             This file is used during ^[[4m.rhosts^[[24m ^[[4mauthentication.^[[24m It contains
              canonical hosts names, one per line (the full format is described
              on the sshd(8) manual page).  If the client host is found in this
              file, login is automatically permitted provided client and server
@@ -574,41 +574,41 @@
              writable by root.
 
      /etc/shosts.equiv
-             This file is processed exactly as /etc/hosts.equiv.  This file
-             may be useful to permit logins using ssh but not using
+             This file is processed exactly as ^[[4m/etc/hosts.equiv^[[24m.  This file
+             may be useful to permit logins using ^[[1mssh ^[[22mbut not using
              rsh/rlogin.
 
      /etc/ssh/sshrc
-             Commands in this file are executed by ssh when the user logs in
+             Commands in this file are executed by ^[[1mssh ^[[22mwhen the user logs in
              just before the user's shell (or command) is started.  See the
              sshd(8) manual page for more information.
 
      $HOME/.ssh/rc
-             Commands in this file are executed by ssh when the user logs in
+             Commands in this file are executed by ^[[1mssh ^[[22mwhen the user logs in
              just before the user's shell (or command) is started.  See the
              sshd(8) manual page for more information.
 
      $HOME/.ssh/environment
              Contains additional definitions for environment variables, see
-             section ENVIRONMENT above.
+             section ^[[4mENVIRONMENT^[[24m above.
 
-DIAGNOSTICS
-     ssh exits with the exit status of the remote command or with 255 if an
+^[[1mDIAGNOSTICS^[[0m
+     ^[[1mssh ^[[22mexits with the exit status of the remote command or with 255 if an
      error occurred.
 
-AUTHORS
+^[[1mAUTHORS^[[0m
      OpenSSH is a derivative of the original and free ssh 1.2.12 release by
      Tatu Ylonen.  Aaron Campbell, Bob Beck, Markus Friedl, Niels Provos, Theo
-     de Raadt and Dug Song removed many bugs, re-added newer features and creM--
+     de Raadt and Dug Song removed many bugs, re-added newer features and cre-
      ated OpenSSH.  Markus Friedl contributed the support for SSH protocol
      versions 1.5 and 2.0.
 
-SEE ALSO
+^[[1mSEE ALSO^[[0m
      rsh(1), scp(1), sftp(1), ssh-add(1), ssh-agent(1), ssh-keygen(1),
      telnet(1), ssh_config(5), ssh-keysign(8), sshd(8)
 
-     T. Ylonen, T. Kivinen, M. Saarinen, T. Rinne, and S. Lehtinen, SSH
-     Protocol Architecture, draft-ietf-secsh-architecture-12.txt, January
+     T. Ylonen, T. Kivinen, M. Saarinen, T. Rinne, and S. Lehtinen, ^[[4mSSH^[[0m
+     ^[[4mProtocol^[[24m ^[[4mArchitecture^[[24m, draft-ietf-secsh-architecture-12.txt, January
      2002, work in progress material.
 
 BSD                           September 25, 1999                           BSD
